header, body {
  color: #0F0F0F;
}

body {
  font-family: "Crimson Text", "Palatino", serif;
  background: #F0F0F0;
}

main, aside {
  background: #E0E0E0;
}

#page-header {
  background: red;
  margin: 10px;
  padding-bottom: 25px;
  padding-left: 50px;
  padding-top: 25px;
}

#page-header > * {
  font-family: Garamond, Palatino, Georgia, serif;
  color: #F0F0F0;
  text-shadow: 2px 2px #1D4F73;
  text-decoration: none;
}

#header-bar-title {
  font-variant: small-caps;
  font-kerning: normal;
  font-size: xx-large;
  font-weight: bold;
  text-shadow: 2px 2px #1D4F73;
  white-space: nowrap;
}

#header-bar-motto {
  font-size: x-large;
  font-style: oblique;
  text-indent: 20px;
  text-shadow: 2px 2px #1D4F73;
}

#page-header, #main-header, .mini-header {
  background: #0072AB;
  background: -webkit-linear-gradient(left top, #0072AB , #1D4F73);
  background: -o-linear-gradient(bottom right, #0072AB, #1D4F73);
  background: -moz-linear-gradient(bottom right, #0072AB, #1D4F73);
  background: linear-gradient(to bottom right, #0072AB , #1D4F73);
  border: 2px solid #1D4F73;
  border-radius: 4px;
  box-shadow: inset 0 15px 25px rgba(0, 0, 139, .1);
}

.mini-header {
  margin-bottom: 10px;
  padding-bottom: 10px;
  padding-top: 10px;
  padding-left: 10px;
}

.mini-header > h2 {
  display: inline;
  font-family: sans-serif;
  padding-left: 1em;
  padding-right: 1em;
  color: #F0F0F0;
  text-shadow: 2px 2px #1D4F73;
  box-shadow: inset 0 0.5em 1em rgba(0, 0, 139, .1);
  background: #0072AB;
  border-radius: 4px;
  font-variant: small-caps;
}

body > main, body > aside {
  border: 1px solid grey;
  border-radius: 4px;
  margin: 10px;
  padding: 20px;
  min-width: 250px;
}

body > main {
  margin: 10px;
  width: calc(100% - 375px);
  float: left;
}

body > aside {
  width: 250px;
  float: right;
}

right.column > *, nav > * {
  width: calc(100% - 8px);
  margin: 2px auto 2px 4px;
  padding: 2px 0px 4px 0px;
  overflow: hidden;
}

/* Page nav bar */
ul.tree {
  list-style-type: none;
  background-color: #F0F0F0;
}

ul.tree li a {
  display: block;
  color: #000;
  padding: 8px 16px;
  text-decoration: none;
}

ul.tree li a:hover {
  background-color: #E0E0E0;
  color: #0F0F0F;
}

#searchInput {
  /* 2px padding + 16px border */
  width: calc(100% - 18px);
}

#page-footer {
  position: relative;
  clear: both;
  left: 0px;
  bottom: 0px;
  width: calc(100% - 20px);
  padding-left: 20px;
  background: #F0F0F0;
}
